//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function builder_cpp()

  src_cpp_path = get_absolute_file_path("builder_cpp.sce");

  lib_name = "CLx_tle";
  file_names = ["sgp4unit.cpp", "tle_util.cpp", "tle_interf.cpp", "clx_util.cpp"];
  entry_points = ["CLx_tle_sgp4", "CLx_tle_getconst", "CLx_tle_unkozai", "CLx_installed"];

  CFLAGS = ilib_include_flag(src_cpp_path);
  FFLAGS = "";
  CC = "";
  LIBS = "";
  LDFLAGS = "";

  tbx_build_src(entry_points, ..
                file_names, ..
                "c", ..
                src_cpp_path, ..
                LIBS, ..
                LDFLAGS, ..
                CFLAGS, ..
                FFLAGS, ..
                CC, ..
                lib_name);

endfunction

builder_cpp();
clear builder_cpp; // remove builder_c on stack


